Subject: Re: [PATCH 2/2] RDMA/bnxt_re: Use auxiliary driver interface

From: Leon Romanovsky <[email-masked]>
Date: Tue, 26 Jul 2022 08:36:48 +0300

On Mon, Jul 25, 2022 at 09:58:30PM -0700, Ajit Khaparde wrote:
> On Mon, Jul 25, 2022 at 5:15 AM Leon Romanovsky <[email-masked]> wrote:
> >
> > On Sun, Jul 24, 2022 at 04:14:58PM -0700, Ajit Khaparde wrote:
> > > Use auxiliary driver interface for driver load, unload ROCE driver.
> > > The driver does not need to register the interface using the netdev
> > > notifier anymore. Removed the bnxt_re_dev_list which is not needed.
> > > Currently probe, remove and shutdown ops have been implemented for
> > > the auxiliary device.
> > >
> > > BUG: DCSG01157556
> > > Change-Id: Ice54f076c1c4fc26d4ee7e77a5dcd1ca21cf4cd0
> >
> > Please remove the lines above.
> Apologies for missing that.
> 
> >
> > > Signed-off-by: Ajit Khaparde <[email-masked]>
> > > ---
> > >  drivers/infiniband/hw/bnxt_re/bnxt_re.h       |   9 +-
> > >  drivers/infiniband/hw/bnxt_re/main.c          | 405 +++++++-----------
> > >  drivers/net/ethernet/broadcom/bnxt/bnxt.c     |  64 ---
> > >  drivers/net/ethernet/broadcom/bnxt/bnxt_ulp.c |  65 +++
> > >  drivers/net/ethernet/broadcom/bnxt/bnxt_ulp.h |   3 +
> > >  5 files changed, 232 insertions(+), 314 deletions(-)
> >
> > <...>
> >
> > > +static DEFINE_IDA(bnxt_aux_dev_ids);
> > > +
> > >  static int bnxt_register_dev(struct bnxt_en_dev *edev, unsigned int ulp_id,
> > >                            struct bnxt_ulp_ops *ulp_ops, void *handle)
> >
> > I would expect that almost all code in bnxt_ulp.c will go after this change.
> I agree. My plan was to get these QA tested, initial Aux Bus changes
> in this release with a follow on series to clean this up further.
> Does that sound reasonable?

No, please prepare complete series and we will review it.
There is much harder to do it when the change is partial.

Thanks

> Thanks for the feedback.
> Thanks
> Ajit
> > Thanks